Description

I am currently working on a project looking at work and care in families in East London. As part of the project, we would like to create
a profile of parents in the UK. Specifically, we are interested in characteristics of two-parent households which include a co-resident
child aged 0-4.

So far | have merged hhresp and indresp datasets for wave i and selected respondents who have indicated they are living with a
spouse (i_livesp_dv) or cohabiting (i_cohab_dv). | have also selected both i_nch02_dv (children aged 0-2 in hh) i_nch34_dv (children
aged 3-4 in hh). | am fairly sure this is not the most elegant way to go about this, and | am not sure that this approach will provide the
sample | am looking for. It is missing, for example, data on ethnicity.

Might you be able to help, please?

History

#1 - 05/13/2020 02:12 PM - Annette Pasotti
- Status changed from New to In Progress

- Assignee set to Alita Nandi

- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response
times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,

Annette

#2 - 05/15/2020 10:05 AM - Alita Nandi

- Status changed from In Progress to Feedback

- Assignee changed from Alita Nandi to Katie Quy
- % Done changed from 10 to 50

Hello,

While using the variables i_nch02_dv and i_nch34_dv will help you identify households with children in this age group, these will not help you identify
who their parents are. But you could combine this with the i_hhtype_dv to get your sample. This is a quick solution but it is not very precise as i_nch*
variables do not say whose children they are.

A more precise option is to use the file i_indall to identify children aged 0-2 (i_age_dv) and then get the pidp of their co-resident parents (i_mnpid
i_fnpid). Then using that you can identify households where there are two parents with children 0-2 years old. This will require some restructing of the
data, please let us know if you need help with this.

Best wishes,
Alita

#3 - 05/18/2020 01:11 PM - Katie Quy

Thank you for you response! The second, more precise, option sounds exactly what | am looking for. | would be grateful for any help you could give
with restructuring data to achieve this.

Best wishes,

Katie

#4 - 05/27/2020 07:56 AM - Alita Nandi

04/10/2024 1/2




- File parents_children_matching.do added

- % Done changed from 50 to 60

Hi Katie,

| am attaching a syntax file that attaches co-resident parents information. See if this works for you. If not, let us know. We will be uploading this to our

syntax page for other users, so any feedback you provide will help us improve it.

Best wishes,
Alita

#5 - 06/10/2020 12:38 PM - Katie Quy
Hi Alita,

Unfortunately not (I accept this may be me though!) Is this syntax suitable for use with SPSS? I'm getting error messages for all command names.

best wishes,
Katie

#6 - 06/10/2020 01:10 PM - Alita Nandi
Hi Katie,

Sorry | should have specified that this is a Stata syntax file. So, it will not work with SPSS.

Best wishes,
Alita

#7 - 06/10/2020 01:19 PM - Katie Quy

Ah | see. Is there an equivalent syntax available for SPSS?
Best wishes,
Katie

#8 - 06/10/2020 01:26 PM - Alita Nandi

Sorry Katie, there isn't one as yet.

#9 - 06/10/2020 04:36 PM - Katie Quy

Ok, thanks anyway
best wishes,
Katie

#10 - 03/02/2021 03:14 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- Assignee deleted (Katie Quy)

- % Done changed from 60 to 100

Files
parents_children_matching.do 1.94 KB 05/27/2020 Alita Nandi
04/10/2024 22
